.card__wrap .main .card__img {
  width: 87%;
}

/* @media screen and (min-width: 436px) {
  .card__wrap .main .card__img {
    width: 84%;
  }
} */
.interactive {
  position: relative;
}
.for-product-and-sum {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10px;
  margin-bottom: 7px;
  z-index: 5;
}

.text-confirm-answer {
  font-size: 17px;
  text-align: center;
  font-weight: 600;
  color: gray;
  position: absolute;
  top: 64%;
  left: 50%;
  width: 100%;
  transform: translate(-50%, -50%);
  opacity: 1;
  transition: all 250ms;
}
@media screen and (min-width: 436px) {
  .text-confirm-answer {
    top: 60%;
  }
}
.text-confirm-answer.transparent {
  opacity: 0;
  transition: all 250ms;
}
.for-float-wrapper .card__text {
  text-align: start;
  margin-top: 0;
  margin-bottom: 30px;
  font-size: 18px;
}

.container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  justify-content: center;
  position: absolute;
  top: 33.4%;
  left: 53%;
  transform: translate(-50%, -50%);
  width: 40%;
  height: auto;
  flex-wrap: wrap;
  align-items: center;
  align-content: center;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

@media screen and (min-width: 436px) {
  .container {
    top: 32%;
    width: 120px;
  }
}
.drop-zone {
  font-size: 50px;
  font-weight: 800;
  width: 12vw;
  height: 12vw;
  margin-top: 5vw;
  margin-bottom: 0px;
  margin-right: 5vw;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  background-color: transparent;
  border: 1px dashed gray;
  border-radius: 8px;
  position: relative;
  color: var(--main-text-color);
  cursor: pointer;
  font-size: 13vw;
  font-weight: 700;
  line-height: 0.9;
  color: transparent;
}
.drop-zone:nth-child(4),
.drop-zone:nth-child(5),
.drop-zone:nth-child(8),
.drop-zone:nth-child(9) {
  color: silver;
}
.drop-zone:nth-child(3) {
  margin-left: 17vw;
}
@media screen and (min-width: 436px) {
  .drop-zone {
    width: 43px;
    height: 43px;
    margin-right: 15px;
    margin-top: 15px;
    font-size: 47px;
  }
  .drop-zone:nth-child(3) {
    margin-left: 55px;
  }
  .for-product-and-sum {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 38px;
    margin-bottom: 7px;
    z-index: 5;
  }
}

.sign {
  font-size: 67px;
  font-weight: 800;
  position: absolute;

  transform: translate(-50%, -50%);
}
.sign.plus {
  top: 73%;
  left: -15%;
}
.sign.multiply {
  top: 34%;
  left: -14%;
}

.delimeter-line {
  width: 90%;
  height: 5px;
  background-color: #a0c2fa;
  position: absolute;
  top: 43%;
  left: 42%;
  transform: translate(-50%, -50%);
}
.line-top {
  top: 43%;
  left: 42%;
}
.line-bottom {
  top: 83%;
  left: 42%;
}
.tiles {
  width: 100%;
  max-width: 100%;
  height: 31vw;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
@media screen and (min-width: 436px) {
  .tiles {
    width: auto;
    max-width: unset;
    height: 103px;
  }
}

.tile {
  width: 12vw;
  height: 12vw;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 9vw;
  font-weight: bold;
  color: var(--main-text-color);
  background-color: #fff;
  border: 1px solid var(--main-text-color);
  border-radius: 10px;
  margin: 0;
  cursor: pointer;
  position: absolute;
  top: 0;
  transform-origin: center;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  z-index: 2;
}
@media screen and (min-width: 436px) {
  .tile {
    width: 43px;
    height: 43px;
    font-size: 30px;
  }
}
.tile-1 {
  left: 5%;
}
.tile-2 {
  left: 24%;
}
.tile-3 {
  left: 43%;
}
.tile-4 {
  left: 62%;
}
.tile-5 {
  left: 81%;
}
.tile-6 {
  top: 52%;
  left: 14.6%;
}
.tile-7 {
  top: 52%;
  left: 33.6%;
}
.tile-8 {
  top: 52%;
  left: 52.6%;
}
.tile-9 {
  top: 52%;
  left: 71.6%;
}
.tile.plug {
  pointer-events: none;
  color: #ccc;
  border: 1px solid #ccc;
  z-index: 1;
  display: flex;
}
.tile.active {
  color: #ffffff;
  background-color: #648dd4;
  z-index: 100;
}
.tile.active.in-drop-zone {
  /* color: #648dd4;
  background-color: transparent; */
  color: #ffffff;
  background-color: #648dd4;
  border: none;
}
.tile.in-drop-zone {
  background-color: transparent;
  border: none;
  transform: scale(1.5);
}
@media screen and (min-width: 436px) {
  .tile.in-drop-zone {
    transform: scale(1.2);
    font-size: 40px;
  }
}
.click-path-figure {
  cursor: pointer;
}
.main .card__img svg {
  top: 0;
}
.spot-container {
  position: absolute;
  width: 100%;
  height: 100%;
  pointer-events: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.spot {
  width: 4vw;
  height: 4vw;
  border: 1px solid silver;
  border-radius: 50%;
  box-shadow: 1px 1px var(--main-text-color);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  pointer-events: none;
  background-color: #ffffffbf;
  opacity: 0;
  transition: all 200ms;
}

@media screen and (min-width: 436px) {
  .spot {
    width: 15px;
    height: 15px;
  }
}
.spot-1 {
  top: 13%;
  left: 18%;
}
.spot-2 {
  top: 13%;
  left: 67%;
}
.spot-3 {
  top: 32.6%;
  left: 67%;
}
.spot-4 {
  top: 52.8%;
  left: 18%;
}
.spot-5 {
  top: 52.8%;
  left: 67%;
}
.spot-6 {
  top: 73%;
  left: 18%;
}
.spot-7 {
  top: 73%;
  left: 67%;
}
.spot-8 {
  top: 93%;
  left: 18%;
}
.spot-9 {
  top: 93%;
  left: 67%;
}
.spot-1.show {
  animation: fade-in-out-1 600ms ease-in-out 3;
}

.spot-2.show {
  animation: fade-in-out-2 600ms ease-in-out 3;
}

.spot-3.show {
  animation: fade-in-out-3 600ms ease-in-out 3;
}

.spot-4.show {
  animation: fade-in-out-4 600ms ease-in-out 3;
}

.spot-5.show {
  animation: fade-in-out-1 600ms ease-in-out 3;
}
.spot-6.show {
  animation: fade-in-out-2 600ms ease-in-out 3;
}

.spot-7.show {
  animation: fade-in-out-3 600ms ease-in-out 3;
}

.spot-8.show {
  animation: fade-in-out-4 600ms ease-in-out 3;
}

.spot-9.show {
  animation: fade-in-out-1 600ms ease-in-out 3;
}

@keyframes fade-in-out-1 {
  0% {
    opacity: 1;
  }
  25% {
    opacity: 0;
  }
  100% {
    opacity: 0;
  }
}
@keyframes fade-in-out-2 {
  0% {
    opacity: 0;
  }
  25% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 0;
  }
}
@keyframes fade-in-out-3 {
  0% {
    opacity: 0;
  }
  25% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  75% {
    opacity: 0;
  }
  100% {
    opacity: 0;
  }
}
@keyframes fade-in-out-4 {
  0% {
    opacity: 0;
  }
  25% {
    opacity: 0;
  }
  50% {
    opacity: 0;
  }
  75% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
.answer-number {
  font-size: 50px;
  font-weight: 800;
  color: var(--main-text-color);
  text-align: end;
  margin-top: 6px;
  letter-spacing: 14px;
  height: 61px;
  width: 100%;
  position: absolute;
  top: 127%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  z-index: 1;
}

@media screen and (min-width: 436px) {
  .answer-number {
    letter-spacing: 11px;
    left: 49%;
  }
}
.card__img .restart.restart-icon {
  display: flex;
  width: 35px;
  height: 35px;
  position: absolute;
  top: 9px;
  left: 86%;
  cursor: pointer;
}

.card__wrap-blocked .restart.restart-icon,
.card__wrap-blocked .plug {
  display: none;
}
